%m001.m
%Ejemplo: visulización de niveles de gris


figure(1);
colormap(gray(256));


%PASO 1
M=zeros(256);
image(M);disp('Presione una tecla..');pause;


%PASO 2
for columna=1:256
   gris=columna-1;
   M(:,columna)=gris;
end;
image(M);title('256');disp('Presione una tecla..');pause;


%PASO 3
M=zeros(128);
for columna=1:128
   gris=columna-1;
   M(:,columna)=gris*2;
end;
image(M);title('128');disp('Presione una tecla..');pause;

%PASO 4
M=zeros(64);
for columna=1:64
   gris=columna-1;
   M(:,columna)=gris*4;
end;
image(M);title('64');disp('Presione una tecla..');pause;

%PASO 5
M=zeros(32);
for columna=1:32
   gris=columna-1;
   M(:,columna)=gris*8;
end;
image(M);title('32');
